Skip to main content
POST
/
api
/
favorites
Create a favorite
curl --request POST \
  --url https://api.morphic.io/api/favorites/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "entity_type": "<string>",
  "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_order": 123,
  "notes": "<string>"
}
'
{
  "entity_type": "<string>",
  "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_order": 123,
  "notes": "<string>",
  "entity_name": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Body

application/json

Schema for creating a new favorite.

entity_type
string
required

Entity type: 'company', 'contact', or 'deal'

entity_id
string<uuid>
required

ID of the favorited entity

folder_id
string<uuid> | null

Folder ID to organize favorites

display_order
integer | null

Display order

notes
string | null

Optional notes about why it's favorited

Response

Successful Response

Response schema for favorite API endpoints.

entity_type
string
required

Entity type: 'company', 'contact', or 'deal'

entity_id
string<uuid>
required

ID of the favorited entity

id
string<uuid>
required
account_id
string<uuid>
required
user_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
folder_id
string<uuid> | null

Folder ID to organize favorites

display_order
integer | null

Display order

notes
string | null

Optional notes about why it's favorited

entity_name
string | null

Name of the favorited entity